macroscript SplinePencilOptions
buttontext:"Spline Pencil Options"
category:"Spline Pencil"
tooltip:"Spline Pencil Options"
(
rollout spRollout "Spline Pencil Options" width:162 height:150
(
	radiobuttons spDestination "Draw on:" pos:[10,11] width:81 height:46 labels:#("Active Grid","Surface:") columns:1 --labels:#(On Active Grid, On Surface) columns:1
	pickbutton spSurf "none" pos:[12,60] width:138 height:16 filter:maxres.isGeometry tooltip:"Pick Geometry to Draw on"
	checkbox spInterp "smooth interpolation" pos:[12,87] width:121 height:15 enabled:false checked:true
	button spDraw "Draw" pos:[12,105] width:137 height:20

	on spDestination changed stat do
		if ((stat==2) and (spSurf.object==undefined)) then spDraw.enabled=false

	on spSurf picked obj do
	(
		spSurf.caption=obj.name
		spDraw.enabled=true
	)

	on spDraw pressed  do
	(
		if spDestination.state==1 then dest=false else dest=true

		splinePencilSurf=spSurf.object
		
		splinePencil dest splinePencilSurf spInterp.checked
	)
)

createdialog spRollout
)

macroscript SplinePencilOnGrid
buttontext:"Spline Pencil onGrid"
category:"Spline Pencil"
tooltip:"Spline Pencil on Grid"
(
	splinePencil false o o
)